SDL_BindGPUIndexBuffer(3)

NAME
SDL_BindGPUIndexBuffer - Binds an index buffer on a command buffer for use with subsequent draw calls.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

void SDL_BindGPUIndexBuffer(
    SDL_GPURenderPass *render_pass,
    const SDL_GPUBufferBinding *binding,
    SDL_GPUIndexElementSize index_element_size);

FUNCTION PARAMETERS

render_pass
    a render pass handle.

binding
    a pointer to a struct containing an index buffer and offset.

index_element_size
    whether the index values in the buffer are 16- or 32-bit.

AVAILABILITY
This function is available since SDL 3.2.0.